gtksourceviewmm: Gsv::Style Class Reference

gtksourceviewmm 3.18.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions | List of all members
Gsv::Style Class Reference

Class representing a style. More...

`#include <gtksourceviewmm/style.h>`

Inheritance diagram for Gsv::Style:
[legend]

## Public Member Functions
| Style (Style&& src) noexcept
Style& | operator= (Style&& src) noexcept
virtual | ~Style () noexcept
GtkSourceStyle* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceStyle* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceStyle* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::RefPtr< Style > | copy () const
| Creates a copy of a style, that is a new Style instance which has the same attributes set. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_background () const
| Background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_background_set () const
| Whether background color is set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_bold () const
| Bold. More...
Glib::PropertyProxy_ReadOnly< bool > | property_bold_set () const
| Whether bold attribute is set. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_foreground () const
| Foreground color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_foreground_set () const
| Whether foreground color is set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_italic () const
| Italic. More...
Glib::PropertyProxy_ReadOnly< bool > | property_italic_set () const
| Whether italic attribute is set. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_line_background () const
| Line background color. More...
Glib::PropertyProxy_ReadOnly< bool > | property_line_background_set () const
| Whether line background color is set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough () const
| Strikethrough. More...
Glib::PropertyProxy_ReadOnly< bool > | property_strikethrough_set () const
| Whether strikethrough attribute is set. More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline () const
| Underline. More...
Glib::PropertyProxy_ReadOnly< bool > | property_underline_set () const
| Whether underline attribute is set. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::Style > | wrap (GtkSourceStyle* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

Class representing a style.

## Constructor & Destructor Documentation

Gsv::Style::Style | ( | Style&& | src | ) |
| noexcept

virtual Gsv::Style::~Style | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

Glib::RefPtr<Style> Gsv::Style::copy | ( |  | ) | const

Creates a copy of a style, that is a new Style instance which has the same attributes set.

Returns
  Copy of a style.

Since gtksourceviewmm 2.2:

static GType Gsv::Style::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceStyle* Gsv::Style::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceStyle* Gsv::Style::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceStyle* Gsv::Style::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Style& Gsv::Style::operator= | ( | Style&& | src | ) |
| noexcept

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_background | ( |  | ) | const

Background color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_background_set | ( |  | ) | const

Whether background color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_bold | ( |  | ) | const

Bold.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_bold_set | ( |  | ) | const

Whether bold attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_foreground | ( |  | ) | const

Foreground color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_foreground_set | ( |  | ) | const

Whether foreground color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_italic | ( |  | ) | const

Italic.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_italic_set | ( |  | ) | const

Whether italic attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::Style::property_line_background | ( |  | ) | const

Line background color.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_line_background_set | ( |  | ) | const

Whether line background color is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_strikethrough | ( |  | ) | const

Strikethrough.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_strikethrough_set | ( |  | ) | const

Whether strikethrough attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_underline | ( |  | ) | const

Underline.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gsv::Style::property_underline_set | ( |  | ) | const

Whether underline attribute is set.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::Style > wrap | ( | GtkSourceStyle * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.